;;; -*- Lisp -*-
(defpackage :araneida-system (:use #:asdf #:cl))
(in-package :araneida-system)

(defsystem araneida
  :depends-on (net-telent-date split-sequence
			       #+sbcl sb-bsd-sockets
			       #+cmu db-sockets)
  :version "0.82"
  :components ((:file "defpackage")
               (:module "utility"
                        :components ((:file "aif")
                                     (:file "lists")
                                     (:file "split")
                                     (:file "seqlet")
                                     (:file "base64" :depends-on ("seqlet"))
                                     (:file "strings"))
			:depends-on ("defpackage"))
               (:file "db-sockets" :depends-on ("defpackage"))
	       (:file "araneida" :depends-on  ("db-sockets"))
               (:file "html" :depends-on ("defpackage"))
               (:file "url-class" :depends-on ("defpackage"))
               (:file "url" :depends-on ("utility" "url-class"))
               (:file "exports"
                      :depends-on ("defpackage" "utility" "url" "handler"))
               (:file "request-class" :depends-on ("defpackage"))
               (:file "request" :depends-on ("url" "request-class") )
               (:file "auth" :depends-on ("request"))
               (:file "static-file-handler" :depends-on ("handler" "request"))
	       (:file "file-request" :depends-on ("static-file-handler"))
               (:file "define-page" :depends-on ("request"))
	       (:file "handler" :depends-on ("defpackage"))
	       (:file "redirect-handler" :depends-on ("handler" ))
               (:file "daemon"
                      :depends-on
                      ("url" "handler" "defpackage" "exports" "request"))
               (:file "memoization")
	       (:file "http-error" :depends-on ("defpackage"))
	       (:file "http-listener-class" :depends-on ("daemon"))
	       (:file "http-listener" :depends-on ("http-listener-class"))
	       (:file "threaded-http-listener" :depends-on ("http-listener"))
	       (:file "serve-event-http-listener" 
		      :depends-on ("http-listener"))
	       (:file "reverse-proxy-listener-class" 
		      :depends-on ("serve-event-http-listener"
				   "threaded-http-listener"))
	       (:file "https-listener-class" 
		      :depends-on ("reverse-proxy-listener-class"))
	       (:file "client" :depends-on ("request" "url"))
               (:file "pattern-match" :depends-on ("memoization"))
	       (:static-file "NEWS")
	       (:module "doc"
			:components ((:html-file "examples")
				     (:static-file "example" 
						   :pathname "example.lisp")
				     (:html-file "faq")
				     (:html-file "handlers")
				     (:html-file "html")
				     (:html-file "index")
				     (:html-file "installation")
				     (:html-file "reference")
				     (:html-file "servers")
				     (:html-file "troubleshooting")
				     (:html-file "urls")
				     (:static-file "new-dispatch-model")
				     (:static-file "araneida"
						   :pathname "araneida.css")
				     (:static-file "PLAN")))
	       ))

#||
(defsystem araneida-examples
  :depends-on (araneida)
  :components ((:file "defpackage")
               (:file "session")
               (:file "variables" :depends-on ("defpackage"))               
	       (:file "per-host" :pathname #.*per-host-configuration*
		      :depends-on ("variables"))
               (:file "main" :depends-on ("defpackage" "per-host"))))
||#
